Skip to main content
GET
List syncs

Authorizations

Authorization
string
header
required

A Parley API key.

Query Parameters

projectId
string

List the syncs into this project's files. Pass exactly one of projectId, accountId, contactId, intakeId, or library.

Minimum string length: 1
accountId
string

List the syncs into this account's files. Pass exactly one of projectId, accountId, contactId, intakeId, or library.

Minimum string length: 1
contactId
string

List the syncs into this contact's files. Pass exactly one of projectId, accountId, contactId, intakeId, or library.

Minimum string length: 1
intakeId
string

List the syncs into this intake's files. Pass exactly one of projectId, accountId, contactId, intakeId, or library.

Minimum string length: 1
library
any

true for the organization's Library. Pass exactly one of projectId, accountId, contactId, intakeId, or library.

sort
enum<string>
default:-createdAt

Sort order: a field name, prefixed with - for descending. Defaults to -createdAt.

Available options:
createdAt,
-createdAt
cursor
string

Opaque cursor from nextCursor. Pass the same filters and sort. Omit for the first page.

Minimum string length: 1
limit
integer
default:50

Maximum number of items to return.

Required range: 1 <= x <= 250

Response

OK

data
object[]
required
nextCursor
string | null
required

Cursor for the next page, or null on the last page.